{% extends 'core/base.html' %}

{% block title %}Checkout{% endblock %}

{% block content %} 

<div class="max-w-6xl mx-auto flex flex-wrap items-start py-6 px-6 xl:px-0 bg-ctp-base">
  <!-- TODO: form validation -->
  <form action="{% url 'start_order' %}" method="post">
    {% csrf_token %}
    <div class="products w-full">
      <h1 class="mb-5 font-semibold text-3xl">Checkout</h1>

      <div class="w-full">
        <div class="mb-6 p-6 bg-ctp-crust border-2 border-ctp-pink rounded-xl">
          <h2 class="mb-5 uppercase text-lg text-ctp-text">Shipping</h2>
            <div class="flex space-x-2">
              <div class="w-1/2">
                <input type="text" name="first_name" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" value="{{ request.user.first_name }}"placeholder="First Name"></input>
              </div>
              <div class="w-1/2">
                <input type="text" name="last_name" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" value="{{ request.user.last_name }}"placeholder="Last Name"></input>
              </div>
            </div>
            <div class="mb-0">
              <input type="text" name="address" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="Address"></input>
            </div>
            <div class="flex space-x-2 mb-4">
              <div class="w-1/3">
                <input type="text" name="city" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="City"></input>
              </div>
              <div class="w-1/3">
                <input type="text" name="state" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="State"></input>
              </div>
              <div class="w-1/3">
                <input type="text" name="zipcode" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="Zip"></input>
              </div>
            </div>
        </div>   
        <div class="mb-6 p-6 bg-ctp-crust border-2 border-ctp-pink rounded-xl">
          <h2 class="mb-5 uppercase text-lg text-ctp-text">Contact</h2>
            <div class="mb-4">
              <input type="email" name="email" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" value="{{ request.user.email }}"placeholder="Email"></input>
              <input type="text" name="phone" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="Phone"></input>
            </div>
        </div>   
        <div class="mb-6 p-6 bg-ctp-crust border-2 border-ctp-pink rounded-xl">
          <!-- TODO: remove this section -->
          <h2 class="mb-5 uppercase text-lg text-ctp-text">Payment</h2>
            <div class="mb-4">
              <input type="text" class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="Number"></input>
              <input type="text"  class="w-full mt-2 py-4 px-6 bg-ctp-text text-ctp-base rounded" placeholder="Expiration"></input>
            </div>
        </div>   
      </div>
    </div>

    <div class="summary w-full p-6 bg-ctp-crust rounded-xl mt-3 border-2 border-ctp-pink">
      <h2 class="uppercase text-lg mb-5 text-ctp-text font-semibold">Summary</h2>

      <div class="mb-6 flex justify-between border-t border-ctp-subtext0">
        <span class="pt-4 text-ctp-text font-semibold">Total</span>
        <span class="pt-4 text-ctp-text text-xl font-semibold">$ {{ cart.get_total_price }}</span>
      </div>

      <button
        class="inline-block px-8 py-4 rounded-xl font-semibold text-ctp-base bg-gradient-to-r from-ctp-green to-ctp-sapphire hover:from-ctp-lavender hover:to-ctp-mauve">
        Complete Checkout
      </button>
    </div>
  </form>
</div>  
{% endblock %}
